5,600,612 Members 33,708 Now Online
XDA Developers Android and Mobile Development Forum

[Q] Bootloader Problem?

Tip us?
 
androidkevlar
Old
(Last edited by androidkevlar; 16th December 2013 at 06:34 PM.) Reason: Update
#1  
Junior Member - OP
Thanks Meter 0
Posts: 3
Join Date: Dec 2013
Location: Dayton
Default [Q] Bootloader Problem?

I have a Sprint Galaxy S3 that I have been running CyanogenMod 10.1 ROM. I have tried to install a new ROM via TeamWin but I keep getting

"assert failed: getprop("ro.bootloader") == "L710VPBMA6/L710VPBMB1/L710VPBMD4/L710VPBMD7 Error executing updater binary in zip"

I was under the impression from much XDA reading that I need to upgrade the modem/radio. I downloaded a Modem Flasher and installed several different radios and I still get the same message.

Any Help?

Update from OP

I downloaded a MD4 firmware, wiped, flashed CM11 and newest GApps and I am up and running.
 
metalfan78
Old
#2  
metalfan78's Avatar
Senior Member
Thanks Meter 1312
Posts: 3,290
Join Date: Jan 2010
Location: Littleton, CO
If you're on Sprint then you shouldn't have anything labeled md7, what carrier are you using? I only ask because md7 was never a build number for sprint, something doesn't seem right.
 
androidkevlar
Old
#3  
Junior Member - OP
Thanks Meter 0
Posts: 3
Join Date: Dec 2013
Location: Dayton
Quote:
Originally Posted by metalfan78 View Post
If you're on Sprint then you shouldn't have anything labeled md7, what carrier are you using? I only ask because md7 was never a build number for sprint, something doesn't seem right.
I have Sprint as my carrier. I agree that there is something is not right. Not getting any answers so I plan on reverting back to stock, rooting again and then putting on CM11.
 
metalfan78
Old
#4  
metalfan78's Avatar
Senior Member
Thanks Meter 1312
Posts: 3,290
Join Date: Jan 2010
Location: Littleton, CO
What rom were you trying to install?
 
androidkevlar
Old
#5  
Junior Member - OP
Thanks Meter 0
Posts: 3
Join Date: Dec 2013
Location: Dayton
I am just trying to update from Cyanogen 10.1 to 10.2.

Sent from my SPH-L710 using xda app-developers app
 
SebasC
Old
#6  
SebasC's Avatar
Senior Member
Thanks Meter 17
Posts: 202
Join Date: Nov 2007
Location: Cokato, MN
Quote:
Originally Posted by androidkevlar View Post
I am just trying to update from Cyanogen 10.1 to 10.2.

Sent from my SPH-L710 using xda app-developers app
Did you double check you downloaded the right version for your Galaxy S III and not for like T-Mo or AT&T...

http://download.cyanogenmod.org/?device=d2spr <- Sprint Galaxy S III

And best way to do is just go back to stock and start from scratch..
Current
T-Mobile Samsung Galaxy Note 3 - Black
ROM: Stock Rom 4.3
 
Mr. Struck
Old
(Last edited by Mr. Struck; 13th December 2013 at 09:53 PM.)
#7  
Mr. Struck's Avatar
Senior Member
Thanks Meter 277
Posts: 381
Join Date: May 2013
Location: Longmont, Colorado
The original assert failed message is just listing all possible bootloaders it is looking for, it doesn't mean MD7 is part of what the author has installed. By the way, that particular one is a Virgin Mobile/Boost bootloader, as are MG2 and MK5. More likely, the author has MK3, which is not recognized by the updater-script in the older CM versions. CM 11 has the newest bootloaders recognized in the updater-script. Also, modem is not bootloader, even though the nomenclature is the same (MD4, MK3, etc.). Flashing a different modem will not make the updater-script recognize your actual bootloader. If you really want CM 10.2 and not CM 11 (CM 11 is awesome in my opinion, absolutely loving it!), then removing the assert lines altogether should allow for a successful flash, just be sure you have a d2spr ROM if you are going to remove this security feature from within the .zip file.

P.S. Try switching to Philz Touch as well, it is an awesome recovery.

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes


TRENDING IN THEMER...